﻿@model Infraestrutura.ViewModels.PainelCompetidorViewModel;

<h2 class="display-4"> Painel de Controle do Competidor</h2>

<ul class="nav">
    <li class="nav-item">
        <a class="nav-link active">Competidor: @User.Identity.Name</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" asp-controller="Competidor" asp-action="Logout">Sair</a>
    </li>
</ul>

<div class="accordion" id="accordionExample">
    <div class="card">
        <div class="card-header" id="headingOne">
            <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    Minhas Inscrições
                </button>
            </h2>
        </div>

        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
            @if (!Model.TemHackathon && !Model.TemMinecraft)
            {
                <div class="card-body">
                    Nenhuma inscrição até o momento.
                </div>
            }
            else
            {
                <div class="card-body">
                    <p class="card-body">Aqui você pode acompanhar o status das suas inscrições.</p>
                    @if (Model.TemMinecraft)
                    {
                        <a asp-controller="Acompanhar" asp-action="Minecraft" class="btn btn-outline-success">Minecraft </a>
                    }

                    @if (Model.TemHackathon)
                    {
                        <a asp-controller="Acompanhar" asp-action="Hackathon" class="btn btn-outline-success">Hackathon </a>
                    }
                </div>
            }
        </div>
    </div>
    <div class="card">
        <div class="card-header" id="headingTwo">
            <h2 class="mb-0">
                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                    Competições Disponíveis
                </button>
            </h2>
        </div>
        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
            
                @if (Model.TemHackathon && Model.TemMinecraft)
                {
                    <div class="card-body">
                        Nenhuma inscrição aberta.
                    </div>
                }
                else
                {
                    <div class="card-body">
                        @if (!Model.TemMinecraft)
                        {
                            <a asp-controller="Inscrever" asp-action="Minecraft" class="btn btn-outline-success">Minecraft </a>
                        }

                        @if (!Model.TemHackathon)
                        {
                            <a asp-controller="Inscrever" asp-action="Hackathon" class="btn btn-outline-success">Hackathon </a>
                        }
                    </div>
                }
        </div>
    </div>
</div>